Bug 1895325 - [OSP] External mode cluster creation disabled for Openstack and oVirt platform
Summary: [OSP] External mode cluster creation disabled for Openstack and oVirt platform
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Storage Plugin
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.z
Assignee: Ankush Behl
QA Contact: suchita
URL:
Whiteboard:
Depends On: 1894519
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-06 11:05 UTC by OpenShift BugZilla Robot
Modified: 2021-01-18 17:58 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-18 17:58:41 UTC
Target Upstream Version:


Attachments (Terms of Use)
External mode Enable on OVirt 4.6 (290.88 KB, image/png)
2020-12-17 07:22 UTC, suchita
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7141 0 None closed [release-4.6] Bug 1895325: Enable external mode for OpenStack and oVirt platform 2021-02-01 19:25:37 UTC
Red Hat Product Errata RHSA-2021:0037 0 None None None 2021-01-18 17:58:43 UTC

Description OpenShift BugZilla Robot 2020-11-06 11:05:05 UTC
+++ This bug was initially created as a clone of Bug #1894519 +++

Created attachment 1726539 [details]
clustercreation

Description of problem (please be detailed as possible and provide log
snippests):

When installing OCS, the External option is disabled when the installation is tried on OCP running on Openstack platform

See attached

Version of all relevant components (if applicable):
4.6

Does this issue impact your ability to continue to work with the product
(please explain in detail what is the user impact)?
Yes

Is there any workaround available to the best of your knowledge?


Rate from 1 - 5 the complexity of the scenario you performed that caused this
bug (1 - very simple, 5 - very complex)?
1

Can this issue reproducible?
Yes

Can this issue reproduce from the UI?
Yes

If this is a regression, please provide more details to justify this:
No

Steps to Reproduce:
Create Storage cluster from web console on Openstack platform


Actual results:


Expected results:


Additional info:

--- Additional comment from anbehl@redhat.com on 2020-11-04 12:43:04 UTC ---

@sahina can you provide us the result for `oc get infrastructure -o yaml` for openstack platform?

--- Additional comment from sdudhgao@redhat.com on 2020-11-04 13:27:38 UTC ---

@Ankush,

% oc get infrastructure -o yaml


apiVersion: v1
items:
- apiVersion: config.openshift.io/v1
  kind: Infrastructure
  metadata:
    creationTimestamp: "2020-11-02T08:59:58Z"
    generation: 1
    managedFields:
    - apiVersion: config.openshift.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:spec:
          .: {}
          f:cloudConfig:
            .: {}
            f:key: {}
            f:name: {}
          f:platformSpec:
            .: {}
            f:type: {}
        f:status:
          .: {}
          f:apiServerInternalURI: {}
          f:apiServerURL: {}
          f:etcdDiscoveryDomain: {}
          f:infrastructureName: {}
          f:platform: {}
          f:platformStatus:
            .: {}
            f:openstack:
              .: {}
              f:apiServerInternalIP: {}
              f:ingressIP: {}
              f:nodeDNSIP: {}
            f:type: {}
      manager: cluster-bootstrap
      operation: Update
      time: "2020-11-02T08:59:58Z"
    name: cluster
    resourceVersion: "491"
    selfLink: /apis/config.openshift.io/v1/infrastructures/cluster
    uid: 239303c8-a912-454c-9b13-ff764b2a5a0a
  spec:
    cloudConfig:
      key: config
      name: cloud-provider-config
    platformSpec:
      type: OpenStack
  status:
    apiServerInternalURI: https://api-int.ocs.mkarnik.com:6443
    apiServerURL: https://api.ocs.mkarnik.com:6443
    etcdDiscoveryDomain: ocs.mkarnik.com
    infrastructureName: ocs-zxtzq
    platform: OpenStack
    platformStatus:
      openstack:
        apiServerInternalIP: 172.21.0.5
        ingressIP: 172.21.0.7
        nodeDNSIP: 172.21.0.6
      type: OpenStack
kind: List
metadata:
  resourceVersion: ""
  selfLink: ""

--- Additional comment from nberry@redhat.com on 2020-11-05 12:16:24 UTC ---

@Sahina are we planning to support External mode for RHV too ?

if yes, then should we get that added too ?

--- Additional comment from ykaul@redhat.com on 2020-11-05 16:13:31 UTC ---

(In reply to Neha Berry from comment #3)
> @Sahina are we planning to support External mode for RHV too ?
> 
> if yes, then should we get that added too ?

Why not? If it's on-prem, bare-metal or virtualized, there could be an RHCS around.

--- Additional comment from nberry@redhat.com on 2020-11-06 09:18:00 UTC ---

Raising the severity as OCS on Openstack(to be TP soon) and RHV(already TP) might/can be made to use external mode too in upcoming OCS z-stream release.

Comment 3 Ankush Behl 2020-12-16 18:33:04 UTC
@sgatfane@redhat.com can you post the output of `oc get infrastructure -o yaml` or push the screenshot of dashboard -> overview page from UI.

Comment 5 suchita 2020-12-17 07:22:01 UTC
Created attachment 1739890 [details]
External mode Enable on OVirt 4.6

In Ovirt platform, with OCP version 4.6.0-0.nightly-2020-12-16-180954, "External" mode option is enabled on the Create Storage Cluster page.

Comment 7 suchita 2020-12-21 12:37:59 UTC
The testing is done with ovirt platform only. I am looking for an OpenStack cluster with the latest OCP to verify the test.

Comment 9 suchita 2020-12-23 06:26:26 UTC
Based on Comments 5 and 8, I am moving this to verified status.

Comment 12 errata-xmlrpc 2021-01-18 17:58:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.6.12 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0037


Note You need to log in before you can comment on or make changes to this bug.